Name:		perl-IO-InSitu
Version:	0.0.2
Release:	6%{?dist}
Summary:	Avoid clobbering files opened for both input and output
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/IO-InSitu/
Source0:	http://www.cpan.org/authors/id/D/DC/DCONWAY/IO-InSitu-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(version)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::File)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Filter from provides
%global __provides_exclude ^perl\\((IO::File::SE)\\)


%description
This module provides a function called open_rw(), that is passed two
file names and returns two handles, one open for reading and the other
for writing. It's like doing two separate open() calls, except that it
detects cases where the input and output file are the same, and avoids
clobbering the input file when reopening it for output.

%prep
%setup -q -n IO-InSitu-%{version}

# Filter out bogus provides (prior to rpm 4.9)
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Evx 'perl(IO::File::SE)'"
%define __perl_provides %{provfilt}

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::InSitu.3pm*

%changelog
* Wed Mar 21 2012 Bill Pemberton <wfp5p@virginia.eduU> - 0.0.2-6
- Remove command macro from MODULE_COMPAT

* Wed Mar 21 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.0.2-5
- Add provides filters that work with all supported distributions
- Add BuildRequires for dual-lived modules
- Don't remove empty directories from the buildroot as it's uneeded
- Remove use of command macros

* Wed Dec  1 2010 Bill Pemberton <wfp5p@virginia.edu> 0.0.2-4
- Fix rpmlint warning about mixed spaces and tabs

* Tue Nov 30 2010 Bill Pemberton <wfp5p@virginia.edu> 0.0.2-3
- Add perl(version) back to BuildRequires

* Tue Nov 30 2010 Bill Pemberton <wfp5p@virginia.edu> 0.0.2-2
- Clean up spec file to address suggestions from Paul Howarth

* Fri May 28 2010 Bill Pemberton <wfp5p@virginia.edu> 0.0.2-1
- Initial specfile based on version generated by cpanspec 1.78.
